using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class linkOut : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string s = Request.QueryString["s"];
        string id = Request.QueryString["outID"];
        if (string.IsNullOrEmpty(id))
            return;
        switch (s)
        {
            case "out":
                string sql = string.Format("UPDATE LINKs SET SOUTCOUNT=SOUTCOUNT+1 WHERE ID={0}", int.Parse(id));
                SqlHelper.ExecuteSql(sql);
                WebClass.ReMoveCacheByKey("NewTop");
                WebClass.ReMoveCacheByKey("AllLinks");
                break;
        }
        Response.Flush();
        Response.End();
    }
}
